Skip to main content
PATCH
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
vehicle
/
geolocation-tracking
Update vehicle geolocation tracking
curl --request PATCH \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/vehicle/geolocation-tracking \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "trackGeolocation": true
}
'
{
  "vin": "0F0EAATTRBPC3CDBB",
  "vendor": "BMW",
  "model": "Zoe",
  "variant": "Long Range",
  "licensePlate": "W-53A",
  "fuelType": "DIESEL",
  "seats": 5,
  "gear": "Manual",
  "firstRegistrationDate": "2023-08-17",
  "buildYear": 2023,
  "evBatteryCapacity": 10.4,
  "iceTankCapacity": 10.4,
  "trackGeolocation": true,
  "autoLogbookType": "Business"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider the vehicle belongs to

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicle belongs to

Required string length: 3
vehicleId
string
required

The id of the vehicle

Body

application/json

Geolocation tracking setting

trackGeolocation
boolean
required

Describes whether geolocation tracking should be enabled or disabled

Response

Updated vehicle information

vin
string
required
Example:

"0F0EAATTRBPC3CDBB"

vendor
string
Example:

"BMW"

model
string
Example:

"Zoe"

variant
string
Example:

"Long Range"

licensePlate
string
Example:

"W-53A"

fuelType
enum<string>
Available options:
DIESEL,
REGULAR,
PLUS,
ELECTRIC,
HYBRID,
PLUGINHYBRID
seats
integer
Example:

5

gear
enum<string>
Available options:
Manual,
Automatic,
SemiAutomatic
firstRegistrationDate
string<date>
Example:

"2023-08-17"

buildYear
integer
Example:

2023

evBatteryCapacity
number<double>

Capacity of the EV battery in kWh

Example:

10.4

iceTankCapacity
number<double>

Capacity of the ICE fuel tank in liters

Example:

10.4

trackGeolocation
boolean

Describes whether geolocation tracking is active or not

autoLogbookType
enum<string>

Default logbook entry type for new entries when auto-logbook is enabled. Null means auto-logbook is off

Available options:
Business,
Private